from flask_sqlalchemy import SQLAlchemy
from flask_login import UserMixin

db = SQLAlchemy()

class User(db.Model, UserMixin):
    id = db.Column(db.String(36), primary_key=True)
    username = db.Column(db.String(80), unique=True, nullable=False)
    password_hash = db.Column(db.String(128), nullable=False)

    def set_password(self, password):
        from werkzeug.security import generate_password_hash
        self.password_hash = generate_password_hash(password)

    def check_password(self, password):
        from werkzeug.security import check_password_hash
        return check_password_hash(self.password_hash, password)


class Toot(db.Model):
    id = db.Column(db.String(36), primary_key=True)
    message = db.Column(db.String(512), nullable=False)
    toot_time = db.Column(db.String(8), nullable=False)
    day = db.Column(db.String(10), nullable=False)
    suspended = db.Column(db.Boolean, default=False)
